For generating the static part of the menu, several links are provided by the sub page `/options`. That returns a static string with the menu items of the profile (keycloak) link and a logout link. That one leads to a page after the login, which is to be set by replacing the text `encodedRedirectUri` in the url.